net.corda.client.fxutils

## Class ChosenList<E>

- net.corda.client.fxutils.ChosenList<E>

-     public class ChosenList<E>

  `class ChosenList` manages an ObservableList that may be changed by the wrapping ObservableValue. Whenever the underlying ObservableValue changes the exposed list changes to the new value. Changes to the list are simply propagated.

  Example: val filteredStates = ChosenList(EasyBind.map(filterCriteriaType) { type -> when (type) { is (ByCurrency) -> statesFilteredByCurrency is (ByIssuer) -> statesFilteredByIssuer } })

  The above will create a list that chooses and delegates to the appropriate filtered list based on the type of filter.

  See Also:
    `class ChosenList`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChosenList(javafx.beans.value.ObservableValue<? extends javafx.collections.ObservableList<? extends E>> chosenListObservable)` `class ChosenList` manages an ObservableList that may be changed by the wrapping ObservableValue. Whenever the underlying ObservableValue changes the exposed list changes to the new value. Changes to the list are simply propagated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `get(int index)`
    `int` | `getSize()`
    `java.lang.Object` | `remove(int p)`
    `java.lang.Object` | `removeAt(int p)`
    `int` | `size()`

- - ### Constructor Detail

    - #### ChosenList

          public ChosenList(javafx.beans.value.ObservableValue<? extends javafx.collections.ObservableList<? extends E>> chosenListObservable)

      `class ChosenList` manages an ObservableList that may be changed by the wrapping ObservableValue. Whenever the underlying ObservableValue changes the exposed list changes to the new value. Changes to the list are simply propagated.

      Example: val filteredStates = ChosenList(EasyBind.map(filterCriteriaType) { type -> when (type) { is (ByCurrency) -> statesFilteredByCurrency is (ByIssuer) -> statesFilteredByIssuer } })

      The above will create a list that chooses and delegates to the appropriate filtered list based on the type of filter.

      See Also:
        `class ChosenList`

  - ### Method Detail

    - #### get

          public E get(int index)

    - #### getSize

          public int getSize()

    - #### size

          public int size()

    - #### removeAt

          public java.lang.Object removeAt(int p)

    - #### remove

          public java.lang.Object remove(int p)